for n in range (17):
    print(n)#0-16

#!/usr/bin/env python
# -*- coding: utf-8 -*-
# vim:fileencoding=utf-8
import json,requests
from websocket import create_connection
#requests.post('https://galaxy.smspva.space/dev/adminka/users/347/planets/9152/defenders/lepton_cannon/6334')
#+ врага проверить
#тип титан крем
massiv2 = [['fighter','attacker','corvette','frigate','galaction','destroyer','bombardier','colossus','shuttle','transport','collector','pioneer','scout','energodrone'],
[3000,6000,20000,45000,30000,60000,50000,5000000,2000,6000,10000,10000,0,0],
[1000,4000,7000,15000,40000,50000,25000,4000000,2000,6000,6000,20000,1000,2000]]
massiv = [['','','','','','','','','','','','','',''],[0,0,0,0,0,0,0,0,0,0,0,0,0,0]]
response = requests.get('https://galaxy.smspva.space/dev/adminka/users/342/planets/9076')
res = json.loads(response.text)
total_titanium = 0
total_silicon = 0
#amount_call_energo = 0
#summ_call_energo = 0
for n in range(0,14):
    try:
        massiv[0][n] = res["data"]["spaceships"][n]["name"]
        massiv[1][n] = 0
        massiv[1][n] = res["data"]["spaceships"][n]["amount"]
        if massiv[0][n] == 'energodrone': #если я нашёл энергодрон, то:
            requests.post('https://galaxy.smspva.space/dev/adminka/users/347/planets/9152/spaceships/collector/' + str(massiv[1][n]))
        else:
            requests.post('https://galaxy.smspva.space/dev/adminka/users/347/planets/9152/spaceships/'+str(massiv[0][n])+'/' + str(massiv[1][n]))
        for ret in range(0,14):
            if massiv[0][n] == massiv2[0][ret]:
                    if massiv[0][n] == "energodrone":
                        temp_titanium = massiv2[1][10]*massiv[1][n]      
                        temp_silicon = massiv2[2][10]*massiv[1][n]      
                        total_titanium = total_titanium + temp_titanium
                        total_silicon = total_silicon + temp_silicon
                    else:
                        massiv2[1][ret] = massiv2[1][ret]*massiv[1][n]      
                        massiv2[2][ret] = massiv2[2][ret]*massiv[1][n]      
                        total_titanium = total_titanium + massiv2[1][ret]   
                        total_silicon = total_silicon + massiv2[2][ret]   
    except:
        cash = 0
total_titanium = total_titanium*0.3
total_silicon = total_silicon*0.3
if total_titanium > total_silicon:
    max_res = total_titanium
else:
    max_res = total_silicon
max_res = int((max_res/10000) + 1)*2
requests.post('https://galaxy.smspva.space/dev/adminka/users/347/planets/9152/spaceships/collector/'+ str(max_res))
#начало набора топлива для флота и калек
ws = create_connection("wss://srv1.warforgalaxy.com:9982/")
ws.send(json.dumps({"id":1,"jsonrpc":"2.0","method":"auth","params":{"login":"alexandr_mihaylov_rabota","pass":"CC7D7445252C8881AE037937E7803A75"}}))
ws.send(json.dumps({"id":1,"jsonrpc":"2.0","method": "fleets.get","params": {}}))
#86400 000000 секунды микросекунды,"start_time":32694606 628104, "arrival_time":32760159 628104
ws.recv()
response = ws.recv()
print(response)
res = json.loads(response)
length = int(((int(res['result'][1]['arrival_time'])-int(res['result'][1]['start_time']))/11)*10)
time_start_collector = int(res['result'][1]['start_time'])+length
print("Время отправки флота:",int(int(res['result'][1]['start_time'])/100000))
print("Время флота в полёте:",int(((int(res['result'][1]['arrival_time'])-int(res['result'][1]['start_time'])))/100000))
print("Полное Время флота в полёте:", )
print("Время прибытия флота:",int(int(res['result'][1]['arrival_time'])/100000))
print("Время через которое выпускаются коллекторы:",int((length)/100000))
print("Время отправки коллекторов:",int((time_start_collector)/100000))
"""
колосс 1
коллектор 182
колосс+коллектор 188

Вспомогательная величина = 35000 / Время полёта * Корень (удалённость * 10 / скорость корабля)
Потребление = Вспомогательная величина + Количество кораблей этого типа * Базовое потребление * (Вспомогательная величина/10 + 1)^2
Общее потребление = Потребление (сумма Потреблений по всем типам летящих кораблей) * Удалённость/ 35000 + 1
Удаленность - это расстояние между двумя планетами в пределах вселенной.
Чтобы рассчитать удаленность, необходимы координаты двух планет.

Рассматривается 4 основных вида удаленности:
1. Планеты находятся в разных Галактиках =>
Удаленность = (разница между галактиками) * 20000
Пример: Старт 1:5:3; Цель: 3:7:5; разница=2 => удаленность=2*20000=40000
Примечание: Расстояние между 1:5:3 и 3:7:5, а так же между 1:503:3 и 3:415:14 будет одинаковое т.к. расстояние между планетами/Солн. Системами не играет никакой роли если речь идет и другой Галактике.
2. Планеты находятся в разных Солн. Системах =>
Удаленность = (разница между Солн.Системами) * 95 + 2700
Пример: Старт 1:5:3; Цель: 1:7:5; разница=2 => удаленность=2*95+2700=2890
Примечание: Расстояние между 1:5:3 и 1:7:5, а так же между 1:5:3 и 1:7:14 будет одинаковое т.к. расстояние между планетами не играет никакой роли если речь идет и другой Солнечной Системе.
3. Планеты находятся в одной Солн. Системе =>
Удаленность = (разница между позициями в Солн.Системе) * 5 + 1000
Пример: Старт 1:4:3; Цель: [1:*:4]; разница=4 => удаленность=4*5+1000=1020
4. Цель является полем обломков собственной планеты или же собственной луной =>
Удаленность = 5

Затраты топлива (-1) прямо пропорциональны Удаленности. То есть при двойной Удаленности будут двойные затраты АМ.
Время полета (-10 секунд) пропорционально квадратному корню Удаленности. То есть при 4-х кратной удаленности время полета будет всего лишь двойным.
Устройство вселенной:
Если разница между системами в одной галактике равна 183, то расстояние между ними уже больше, чем до соседней галактики. 393 системы одной галактики - это уже больше, чем расстояние между двумя галактиками.
1 галактика: ---------------------------------------------------------------------------
2 галактика: ---------------------------------------------------------------------------
3 галактика: ---------------------------------------------------------------------------
4 галактика: ---------------------------------------------------------------------------
5 галактика: ---------------------------------------------------------------------------
6 галактика: ---------------------------------------------------------------------------
и т.д. Черточки - это системы.
Иными словами, получается галактики находятся друг над другом (как слоеный пирог), но они как бы прямолинейны.
"""
'''
#считаем колосс плюс коллектор

Вспомогательная_величина_колосс = 35000 / Время полёта * 10.12024480132322
Потребление_колосс = Вспомогательная величина + (Вспомогательная величина/10 + 1)^2
Вспомогательная величина_коллектор = 35000 / Время полёта * 3.055852629646536
Потребление_коллектор = Вспомогательная величина + 300 * (Вспомогательная величина/10 + 1)^2
Общее потребление = (потребление колос + потребление калек) * 3,175/ 35000 + 1

#65553000000
Общее потребление = 28.30500961665277
#65553
Общее потребление = 38.67259470445842
'''
"""
переделал чтобы брал атаку

{"id":1,"result":
    [
        {"arrival_time":32735780741278,"crafts":
            [{
            "amount":1,"antimatter":0.0,"damage":0.0,"fuel":0.51769681375270504,"fuel_capacity":1000000.0,"silicon":0.0,"spaceship_type":"colossus","titanium":0.0
            }],
        "from_cluster_id":0,"from_planet_id":0,"from_star_id":0,"id":12309,"name":"alpha","start_time":32715193684691,"state":"flight","task":"returning","to_cluster_id":0,"to_planet_id":9076,"to_star_id":568
        },



        {"arrival_time":32784541724297,"attack_id":631,"crafts":
            [
                {"amount":1,"antimatter":0.0,"damage":0.0,"fuel":0.0,"fuel_capacity":1000000.0,"silicon":0.0,"spaceship_type":"colossus","titanium":0.0
                },
                {"amount":1,"antimatter":0.0,"damage":0.0,"fuel":187.42888743266101,"fuel_capacity":20000.0,"silicon":0.0,"spaceship_type":"collector","titanium":0.0}
            ],
            "from_cluster_id":0,"from_planet_id":9076,"from_star_id":568,"id":12338,"name":"beta","next_event_length":60886,"next_event_start":32784541724297,"start_time":32718988724297,"state":"flight","task":"attack","to_cluster_id":0,"to_planet_id":9152,"to_star_id":573
        }
    ]
}
"""
#набор топлива для флотов и калек окончен
s = bool("odin")
massiv1 = []
ws = create_connection("wss://srv1.warforgalaxy.com:9982/")
ws.send(json.dumps({"id":1,"jsonrpc":"2.0","method":"auth","params":{"login":"recovni96","pass":"CC7D7445252C8881AE037937E7803A75"}}))
ws.send(json.dumps({"id":1,"jsonrpc":"2.0",
"method": "fleets.send",
"params": {
"fleet": {
      "fighter":massiv[1][0],
      "attacker":massiv[1][1],
      "corvette":massiv[1][2],
      "frigate":massiv[1][3],
      "galaction":massiv[1][4],
      "destroyer":massiv[1][5],
      "bombardier":massiv[1][6],
      "colossus":massiv[1][7],
      "shuttle":massiv[1][8],
      "transport":massiv[1][9],
      "collector":massiv[1][10]+massiv[1][13],
      "pioneer":massiv[1][11],
      "scout":massiv[1][12],
      "energodrone":0
   },
'planet_from': 9152,
"planet_to": 9076,
"both_way": s,
"cargo":{
    "titanium":1
}, 
"task": "attack",
"fill_up": s, 
"both_ways":s,
"visible":massiv1,
"flight_speed_percent": 100 
}
}))
print(ws.recv())
print(ws.recv())
#подождать пока в флотах будет пусто
#1.14 типов кораблей
#2.* на количество
#3.сложить титан
#4.сложить кремний
#5.умножить титан на 0.3
#6.умножить кремний на 0.3
#7.сравнить какой больше
#8.делить на 10к 
#9.заказать столько колекторов
#10.отправить столько колекторов
#сколько длится бой? остальное пока делаем
ws.send(json.dumps({"id":1,"jsonrpc":"2.0","method": "fleets.get","params": {}}))
#86400 000000 секунды микросекунды,"start_time":32694606 628104, "arrival_time":32760159 628104
response = ws.recv()
res = json.loads(response)
length = int(((int(res['result'][0]['arrival_time'])-int(res['result'][0]['start_time']))/11)*10)
time_start_collector = int(res['result'][0]['start_time'])+length
print("Время отправки флота:",int(int(res['result'][0]['start_time'])/100000))
print("Время флота в полёте:",int(((int(res['result'][0]['arrival_time'])-int(res['result'][0]['start_time'])))/100000))
print("Время прибытия флота:",int(int(res['result'][0]['arrival_time'])/100000))
print("Время через которое выпускаются коллекторы:",int((length)/100000))
print("Время отправки коллекторов:",int((time_start_collector)/100000))
s = bool("odin")
massiv1 = []
ws.send(json.dumps({"id":1,"jsonrpc":"2.0",
"method": "fleets.send",
"params": {
"fleet": {
      "collector":max_res
   },
'planet_from': 9152,
"planet_to": 9076,
"both_way": s,
"cargo":{
    "titanium":1
}, 
"task": "recycle",
"fill_up": s, 
"both_ways":s,
"visible":massiv1,
"flight_speed_percent": 100 
}
}))
print(ws.recv())
#"both_ways":True - в обе стороны лететь
#Если в составе флота есть корабли с разной скоростью, то скорость флота равна скорости самого медленного корабля.   
#самый медленный колосс, предполагаю, что он будет в каждом флоте 310 скорость
#коллекторы скорость 3400
#3400/310 = в 11 раз коллектор быстрее колосса
"""
Корабль         Скорость

Шаттл           24000
Транспорт       12750
Истребитель     21250
Штурмовик       36000
Корвет          36000
Фрегат          31000
Галактион       31000
Разрушитель     15500
Бомбардир       15500
Колосс          310
Разведзонд      170000000
Энергодрон      0
Коллектор       3400
Первопроходец   6000
"""

"""
Корабль         Расход Am
Шаттл           40
Транспорт       50
Истребитель     20
Штурмовик       75
Корвет          300
Фрегат          500
Галактион       250
Разрушитель     1000
Бомбардир       1000
Колосс          1
Разведзонд      1
Энергодрон      0
Коллектор       300
Первопроходец   1000
"""




 а потом подстроиться по количеству флота
посчитать самый жёсткий корабль задача убить сначала




посчитать сравнительную силу всех кораблей чтобы набирать флот по врагу






























Шаттл
Требования: док 2 уровень, барионный двигатель 2 уровень
Стоимость: 2 000 титан, 2 000 кремний.

Одним залпом может атаковать:
Разведзонд- 5 единиц
Энергодрон- 5 единиц

Может быть атакован одним залпом:
Колосс - 250 единиц
Штурмовик - 3 единиц
Истребитель - 2 единиц
Галактион - 3 единиц

броня 400
мощность щита 10
оценка атаки 5
грузоподъёмность 5 000 ед.
начальная скорость 5 000 (10 000)
потребление топлива (антиматерия) 20 (40)
тип двигателя: барионный (аннигиляционный)


Транспорт
Требования: док 4 уровень, барионный двигатель 6 уровень.
Стоимость: 6 000 титан, 6 000 кремний.

Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц

Может быть атакован одним залпом:
Колосс - 250 единиц
Галактион - 3 единиц данного типа


броня 1200
мощность щита 25
оценка атаки 5
грузоподъёмность 25 000 ед.
начальная скорость 7 500
потребление топлива (антиматерия) 50
тип двигателя: барионный


Истребитель
Требования: док 1 уровень, барионный двигатель 1 уровень.
Стоимость: 3 000 титан, 1 000 кремний.

Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц
Шаттл - 2 единиц

Может быть атакован одним залпом:
Колосс - 200 единиц
Корвет - 6 единиц


броня 400
мощность щита 10
оценка атаки 50
грузоподъёмность 50 ед.
начальная скорость 12 500
потребление топлива (антиматерия) 20
тип двигателя: барионный

Штурмовик
Требования: док 3 уровень, энергетические поля 2 уровень, аннигиляционный двигатель 2 уровень.
Стоимость: 6 000 титан, 4 000 кремний.

Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц
Шаттл - 3 единиц

Может быть атакован одним залпом:
Колосс - 100 единиц
Галактион - 4 единиц


броня 1000
мощность щита 25
оценка атаки 150
грузоподъёмность 100 ед.
начальная скорость 10 000/15 000
потребление топлива (антиматерия) 75
тип двигателя: аннигиляционный


Корвет
Требования: док 5 уровень, аннигиляционный двигатель 4 уровень, фотонное оружие 2 уровень.
Стоимость: 20 000 титан, 7 000 кремний, 2 000 антиматерия.

Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц
Истребитель - 6 единиц
Ракетный блок - 10 единиц

Может быть атакован одним залпом:
Колосс - 33 единиц
Галактион - 4 единиц


броня 2700
мощность щита 50
оценка атаки 400
грузоподъёмность 800 ед.
начальная скорость 15 000
потребление топлива (антиматерия) 300
тип двигателя: аннигиляционный





Фрегат
Требования: док 7 уровень, подпространственный двигатель 4 уровень.
Стоимость: 45 000 титан, 15 000 кремний.

Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц
Ракетный блок - 8 единиц

Может быть атакован одним залпом:
Колосс - 30 единиц данного типа
Галактион - 7 единиц данного типа


броня 6000
мощность щита 200
оценка атаки 1 000
грузоподъёмность 1 500 ед.
начальная скорость 10 000
потребление топлива (антиматерия) 500
тип двигателя: подпространственный


Галактион
Требования: док 8 уровень, перемещение в подпространстве 5 уровень, боевые лазеры 12 уровень, подпространственный двигатель 5 уровень.
Стоимость: титан 30 000, кремний 40 000, антиматерия 15 000.


Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц
Шаттл - 3 единиц
Штурмовик - 4 единиц
Транспорт - 3 единиц
Корвет - 4 единиц
Фрегат - 7 единиц

Может быть атакован одним залпом:
Колосс - 15 единиц
Разрушитель - 2 единиц

броня 7000
Мощность щита 400
Оценка атаки 700
Грузоподъёмность 750 ед.
Начальная скорость 10 000
Потребление топлива (антиматерия) 250
Тип двигателя: подпространственный


Разрушитель
Требования: док 9 уровень, перемещение в подпространстве 5 уровень, подпространственный двигатель 6 уровень
Стоимость: 60 000 титан, 50 000 кремний, 15 000 антиматерия.

Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц
Галактион - 2 единиц
Инфракрасный лазер - 10 единиц

Может быть атакован одним залпом:
Колосс - 5 единиц


броня 11 000
мощность щита 500
оценка атаки 2 000
грузоподъёмность 2 000 ед.
начальная скорость 5 000
потребление топлива (антиматерия) 1 000
тип двигателя: подпространственный


Бомбардир
Требования: док 8 уровень, аннигиляционный двигатель 6 уровень, лептонное оружие 5 уровень.
Стоимость: 50 000 титан, 25 000 кремний, 15 000 антиматерия.

Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц
Инфракрасный лазер - 20 единиц
Ракетный блок - 20 единиц
Фотонная пушка - 10 единиц
Ультрафиолетовый лазер - 10 единиц

Может быть атакован одним залпом:
Колосс - 25 единиц



броня 7500
мощность щита 500
оценка атаки 1 000
грузоподъёмность 500 ед.
начальная скорость 4 000 (5 000)
потребление топлива (антиматерия) 1 000
тип двигателя: аннигиляционный (подпространственный)


Колосс
Требования: док 12 уровень, перемещение в подпространстве 6 уровень, подпространственный двигатель 7 уровень, вибротрон 1 уровень.
Стоимость: 5 000 000 титан, 4 000 000 кремний, 1 000 000 антиматерия.

Одним залпом может атаковать:
Разведзонд - 1250 единиц
Энергодрон - 1250 единиц
Шаттл - 250 единиц
Истребитель - 200 единиц
Штурмовик - 100 единиц
Транспорт - 250 единиц
Коллектор - 250 единиц
Корвет - 33 единиц
Первопроходец - 250 единиц
Фрегат - 30 единиц
Галактион - 15 единиц
Бомбардир - 25 единиц
Разрушитель - 5 единиц
Инфракрасный лазер - 200 единиц
Ракетный блок - 200 единиц
Ультрафиолетовый лазер - 100 единиц
Гравитонное орудие - 50 единиц
Фотонная пушка - 100 единиц


броня 900 000
мощность щита 50 000
оценка атаки 200 000
грузоподъёмность 1 000 000 ед.
начальная скорость 100
потребление топлива (антиматерия) 1
тип двигателя: подпространственный





Разведзонд
Требования: док 3 уровень, барионный двигатель 3 уровень, планетарное сканирование 2 уровень.
Стоимость: 1 000 кремний.

Одним залпом может атаковать:
Скорострел отсутствует.

Может быть атакован одним залпом:
Шаттл - 5 единиц данного типа
Колосс - 1250 единиц данного типа
Транспорт - 5 единиц данного типа
Истребитель - 5 единиц данного типа
Штурмовик - 5 единиц данного типа
Корвет - 5 единиц данного типа
Фрегат - 5 единиц данного типа
Первопроходец - 5 единиц данного типа
Коллектор - 5 единиц данного типа
Бомбардир - 5 единиц данного типа
Разрушитель - 5 единиц данного типа
Галактион - 5 единиц данного типа


броня 100
Мощность щита 0
Оценка атаки 0
Грузоподъёмность 5 ед.
Начальная скорость 100 000 000
Потребление топлива (антиматерия) 1
Тип двигателя: барионный


Энергодрон
Требования: док 1 уровень.
Стоимость: 2 000 кремний, 500 антиматерия.

Одним залпом может атаковать:
Скорострел отсутствует.

Может быть атакован одним залпом:
Шаттл - 5 единиц данного типа
Колосс - 1250 единиц данного типа
Транспорт - 5 единиц данного типа
Истребитель - 5 единиц данного типа
Штурмовик - 5 единиц данного типа
Корвет - 5 единиц данного типа
Фрегат - 5 единиц данного типа
Первопроходец - 5 единиц данного типа
Коллектор - 5 единиц данного типа
Бомбардир - 5 единиц данного типа
Разрушитель - 5 единиц данного типа
Галактион - 5 единиц данного типа


броня 200
Мощность щита 10
Оценка атаки 1
Грузоподъёмность 0 ед.
Начальная скорость 0
Потребление топлива (антиматерия) 0
Тип двигателя: нет


Коллектор
Требования: док 4 уровень, барионный двигатель 6 уровень, защита кораблей 2 уровень.
Стоимость: 10 000 титан, 6 000 кремний, 2 000 антиматерия.

Одним залпом может атаковать:
Разведонд - 5 единиц
Энергодрон - 5 единиц

Может быть атакован одним залпом:
Колосс - 250 единиц данного типа



броня 1600
Мощность щита 10
Оценка атаки 1
Грузоподъёмность 20 000 ед.
Начальная скорость 2 000
Потребление топлива (антиматерия) 300
Тип двигателя: барионный


Первопроходец
Требования: док 4 уровень, аннигиляционный двигатель 3 уровень, освоение планет 2 уровень
Стоимость: 10 000 титан, 20 000 кремний, 10 000 антиматерия

Одним залпом может атаковать:
Разведзонд - 5 единиц
Энергодрон - 5 единиц

Может быть атакован одним залпом:
Колосс - 250единиц данного типа


Броня 3000
Мощность щита 100
Оценка атаки 50
Грузоподъёмность 7 500 ед.
Начальная скорость 2 500
Потребление топлива (антиматерия) 1 000
Тип двигателя: аннигиляционный
